Bug 8453 - Keyboard configuration for Sorani Kurdish (Arabic)
Summary: Keyboard configuration for Sorani Kurdish (Arabic)
Status: RESOLVED FIXED
Alias: None
Product: xkeyboard-config
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: All All
: high normal
Assignee: xkb
QA Contact:
URL: http://webcvs.freedesktop.org/xkeyboa...
Whiteboard:
Keywords: l10n
Depends on:
Blocks:
 
Reported: 2006-09-28 20:11 UTC by Tristan Miller
Modified: 2006-12-20 17:53 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Proposed keyboard for Kurdish Arabic and Latin (3.60 KB, application/octet-stream)
2006-12-20 17:43 UTC, Erdal Ronahi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tristan Miller 2006-09-28 20:11:24 UTC
The Kurdish language is written in modified Arabic, Latin, or Cyrillic scripts,
depending on the dialect.  The dialects are mutually intelligible orally, but
most Kurdish speakers know only one writing system.

xkb currently has a keyboard layout for writing the Latin-based Kurmanji dialect
spoken in Syria and Turkey (see Bug 6159).  However, it needs a keyboard layout
for the Sorani dialect of Kurdish, which is spoken in Iran and Iraq and uses a
modified Arabic alphabet.  The existing Arabic and Farsi xkb layouts are not
appropriate for writing Sorani Kurdish.

The most common Sorani Kurdish keyboard layout I have encountered can be seen at
<http://store.aramedia.com/shopimages/products/normal/kbskurdishblue.jpg>.  See
also <http://en.wikipedia.org/wiki/Kurdish_alphabet> for a Unicode table of the
Kurdish alphabet.
Comment 1 Tristan Miller 2006-09-28 20:14:19 UTC
Another layout image is at <http://www.datacal.com/products/kurdish-layout.htm>,
in case the one I referenced earlier disappears.
Comment 2 Sergey V. Udaltsov 2006-09-29 14:38:26 UTC
Tristan, would you be able please to have a look at existing Kurdish layout
(symbols/tr) and provide a patch for Sorani variant? I think this would be the
fastest way to get your layout into the package. I'm afraid I would not be able
to recognize the alphabet on the images and convert visible glyphs to keysyms.
Comment 3 Tristan Miller 2006-09-29 15:50:05 UTC
The Sorani and Kurmanji (Turkish) Kurdish layouts are so different that a patch
wouldn't really make sense; the Sorani Kurdish layout would have to be written
from scratch.  I don't speak or write Kurdish myself; I'm filing this bug report
on behalf of a Kurdish friend.  However, I would be happy to try my hand at
producing the layout myself.  It might help if someone can point me to a manual
or tutorial for the keyboard layout file format.  (I can try learning by
examining existing layouts, but it's always nice to have an explanation in plain
English.)
Comment 4 Sergey V. Udaltsov 2006-09-30 03:39:49 UTC
Sure, the definite source of information any language is the code of its
compiler/interpreter (joking:).

But in case of XKB - really, the best you can do is look at existing layouts. If
you want to look at plain English, I'd recommend looking at links here:
http://community.livejournal.com/xkbconfig/profile and especially here:
http://www.freedesktop.org/wiki/Software_2fXKeyboardConfig.

HTH
Comment 5 Erdal Ronahi 2006-12-20 17:42:00 UTC
I had written exactly the Keyboard that is being looked for here and sent it to
the mailinglist. It probably is included by now, but I am not sure. I'll attach
it here again.
Comment 6 Erdal Ronahi 2006-12-20 17:43:06 UTC
Created attachment 8184 [details]
Proposed keyboard for Kurdish Arabic and Latin
Comment 7 Erdal Ronahi 2006-12-20 17:52:57 UTC
Yes, it's in the CVS and should show up under "Iran" and "Iraq". You can see the
diff in the CVS here:

http://webcvs.freedesktop.org/xkeyboard-config/xkeyboard-config/symbols/ir?r1=1.6&r2=1.7
Comment 8 Erdal Ronahi 2006-12-20 17:53:30 UTC
Changing to FIXED, as it seems fixed to me.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.